<% option explicit %>
<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../Includes/logger.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/difficultyLevels.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/maturityLevels.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/categories.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/helperFunctions.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/userRoles.vbs"></script><%

	If Not IsInRole("Site Administrator") AND NOT IsInRole("Storygame Moderator") Then  Response.Redirect "../"
	
	Dim GameID : GameID = CLng(Request.QueryString())
	
	Dim Conn : Set Conn = Server.CreateObject("ADODB.Connection")
	Conn.Open Application("ConnectionString")
	
	Dim sqlQuery
	
	Dim Tags
    With Server.CreateObject("ADODB.Command")
	    .ActiveConnection = Conn
	    .CommandType = adCmdStoredProc
	    .CommandText = "[ChooseYourStory].[dbo].[Story_Editing_GetStoryTags]"
	    .Parameters.Append .CreateParameter("Story_Id", adInteger, adParamInput, 8, GameID)
	    With .Execute
		    Do While Not .EOF
			    If Not IsEmpty(Tags) Then Tags = Tags & ", "
			    Tags = Tags & .Fields("Tag").Value
			    .MoveNext
		    Loop
	    End With
    End With
	
	If Len(Request.Form("save"))>0 Then
	
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			sqlQuery = _
				"UPDATE [Games] " & _
				"   SET [Title] = ? " & _
				"       ,[Category Id] = ? " & _
				"       ,[Difficulty Level Id] = ? " & _
				"       ,[Maturity Level Id] = ? "
			If IsInRole("Site Administrator") Then
			    sqlQuery = sqlQuery &_
			    "       ,[HomePageFeatured_Indicator] = ? " & _
                "       ,[Date Published] = ?"
			End If
			
			sqlQuery = sqlQuery &_
			    " WHERE [Game Id] = ?"
			
			.CommandText = sqlQuery
			.Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 255, Request.Form("Title"))
			.Parameters.Append .CreateParameter("Category Id", adInteger, adParamInput, 4, Request.Form("Category ID"))
			.Parameters.Append .CreateParameter("Difficulty Level Id", adInteger, adParamInput, 4, Request.Form("Difficulty Level ID"))
			.Parameters.Append .CreateParameter("Maturity Level Id", adInteger, adParamInput, 4, Request.Form("Maturity Level ID"))
			If IsInRole("Site Administrator") Then
			    If Request.Form("HomePageFeatured_Indicator") = "" Then
			        .Parameters.Append .CreateParameter("HomePageFeatured_Indicator", adChar, adParamInput, 1, Null)
			    Else
			        .Parameters.Append .CreateParameter("HomePageFeatured_Indicator", adChar, adParamInput, 1, Request.Form("HomePageFeatured_Indicator"))
			    End If
                .Parameters.Append .CreateParameter("Date Published", adDate, adParamInput, 50, Request.Form("Date Published"))
			End If
			.Parameters.Append .CreateParameter("Game Id", adInteger, adParamInput, 4, GameID)
			.Execute
		End With
			
		Dim log : Set log = New Logger : log.AdminGame(GameID)
			
		%><script language="javascript">
			if ( (window.opener)&&(!window.opener.closed)) window.opener.location.reload();
			window.close();
		</script><%
	End If
	
	
	Dim Rst : Set Rst = Conn.Execute( _
		"SELECT [Game ID], Title, [Category ID], [Difficulty Level Id], [Maturity Level Id], [Date Category Featured], [Date Published], [HomePageFeatured_Indicator], [First Publish Date] " & _
		"FROM Games WHERE [Game ID]=" & GameID)
	
	If Rst.EOF Then
		Response.Write "Invalid GameID"
		Response.End()
	End If	
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Game Administration</title>
<link href="../App_Themes/CYS/styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
<form action="gamePopUp.asp?<%=GameID%>" method="post">
<table width="0" border="0" cellspacing="0" cellpadding="5">
  <tr><td colspan="2"><h1>Game Administration</h1></td></tr>
  <tr>
    <th align="left">Title</th>
    <td><input name="Title" type="text" id="Title" size="50" maxlength="100" value="<%=Server.HTMLEncode(Rst("Title"))%>" /></td>
  </tr>
  <tr>
    <th align="left">Category</th>
    <td><select name="Category ID"><%WriteCategoryOptions(Rst("Category ID"))%></select></td>
  </tr>
  <tr>
    <th align="left">Difficulty</th>
    <td><select name="Difficulty Level Id"><%WriteDifficultiesOptions(Rst("Difficulty Level Id"))%></select></td>
  </tr>
  <tr>
    <th align="left">Maturity</th>
    <td><select name="Maturity Level Id"><%WriteMaturityLevelOptions(Rst("Maturity Level Id"))%></select></td>
  </tr>
  <tr>
    <th align="left" valign="top">Tags</th>
    <td>
        <% If IsEmpty(Tags) Then %>
		<span class="smallerText">You have not added any tags to your game.</span><br/>
		<% Else %>
		<%=Tags%><br/>
		<% End If %>
        <a href="gameTags.asp?<%=GameID %>" class="smallerText">[Edit Tags]</a>
    </td>
  </tr>
  <% If IsInRole("Site Administrator") THEN %>
  <tr>
    <th align="left">Home Page Featured</th>
    <td><select name="HomePageFeatured_Indicator">
        <option value="">(not featured)</option>
        <option value="B" <% If Rst("HomePageFeatured_Indicator")="B" Then Response.Write " selected" %>>Featured, Basic</option>
        <option value="A" <% If Rst("HomePageFeatured_Indicator")="A" Then Response.Write " selected" %>>Featured, Advanced</option>
    </select></td>
  </tr>

  <% If Not IsNull(Rst("Date Published")) Then %>
  <tr>
    <th align="left">Publish Date</th>
    <td><input type="text" name="Date Published" value="<%=Server.HtmlEncode(Rst("Date Published")) %>" /><br />
    <span class="smallerText">
    <span style="color:Red">do not set before <%=Rst("First Publish Date") %></span>; format must be MM/DD/YYY
    </span></td>
  </tr>
  <% End If %>

  <tr>
    <th align="left">Actions</th>
    <td><%
		If IsNull(Rst("Date Category Featured")) Then
			Response.Write "<a href='featureGame.asp?GameId=" & GameId & "' class='smallerText'>[Category&nbsp;Feature]</a>"
		Else
			Response.Write "<a href='featureGame.asp?GameId=" & GameId & "' class='smallerText'>[Un-Category&nbsp;Feature]</a>"
		End If
		
		Response.Write " &nbsp; "
		If Not IsNull(Rst("First Publish Date")) Then
		    If IsNull(Rst("Date Published")) Then
			    Response.Write "<a href='publishGame.asp?GameId=" & GameId & "' class='smallerText'>[Admin.&nbsp;Publish]</a>"
		    Else
			    Response.Write "<a href='publishGame.asp?GameId=" & GameId & "' class='smallerText'>[Admin.&nbsp;Unpublish]</a>"
		    End If
        End If
	%></td>
  </tr>
  <% End If %>
  <tr>
    <th align="left"></th>
    <td><input name="save" type="submit" id="save" value="Save Changes" onClick="return (confirm('Are you sure you want to save?'))" />
	&nbsp;&nbsp;
      <input type="button" value="Cancel" onClick="window.close();" /></td>
  </tr>
</table>
</form>
<p>&nbsp;</p>
</body>
</html>
<% Conn.Close %>