<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="jscript" src="../Includes/dataGrid2.js"></script>
<script runat="server" language="vbscript" src="../Includes/userRoles.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/CheckHeader.vbs"></script>
<script runat="server" language="jscript">
	function GetStatsDataGrid(conn)
	{
		var dg = new DataGrid(conn.Execute("SELECT TOP 100 * FROM [Statistics] ORDER BY [Date] DESC"));
		for (var i=0;i<dg.Columns.length;i++) dg.Columns[i].Align = "center";
		
		dg.Columns["Date"].RenderText = function() 
		{
			var dte = new Date(this.GetValue());
			dte = (dte.getMonth()+1)
				+ '/' + (dte.getDate())
				+ '/' + (dte.getYear())
	
			return '<a href="?dailyActivity='+escape(dte)+'">' + dte + '</a>';
		}	
		
		return dg;
	}
	
	function GetDailyActivityDataGrid(conn,dte)
	{
		var sql = "SELECT * FROM [Statistics - Daily Visitor Activity] WHERE [Date]='" + dte + "'"
		var dg = new DataGrid(conn.Execute(sql));
		for (var i=0;i<dg.Columns.length;i++) dg.Columns[i].Align = "center";
		dg.Columns["Date"].Visible=false;
		
		dg.Columns["Visitor"].RenderText = function()
		{
			var val = (this.GetValue())?(this.GetValue()):'?????';
			return '<a href="?visitorActivity='+escape(val)+'&date='+dte+'">' + val + '</a>';
		}
				
		return dg;
	}
	
	function GetVisitorActivity(conn,dte,ip)
	{
		var sql = 
			"SELECT * FROM [Statistics - Visitor Activity By Date] " + 
			"WHERE [Date]='" + dte + "' " +
			"AND [Visitor]" + ( (ip=='?????')?" IS NULL ":"='"+ ip+"' ") + 
			"ORDER BY [Time]"
		var dg = new DataGrid(conn.Execute(sql));
		for (var i=0;i<dg.Columns.length;i++) dg.Columns[i].HeadingAlign = "left";
		dg.CellPadding=5;
		dg.Columns[0].Visible=false;
		dg.Columns[1].Visible=false;
		
		dg.Columns["Time"].RenderText = function() 
		{
			var tme = new Date(this.GetValue());
			return zeropad(tme.getHours()) + ":" + zeropad(tme.getMinutes()) + ' ' + ((tme.getHours()<12)?'A':'P');
		}
		
		return dg;	
	}
	
	function zeropad(num) {
		return ((num<10)?'0'+num:num);
	}
	
	
</script>
<%
CheckHeader "Stats.aspx"
	If Not IsInRole("Site Administrator") Then Response.Redirect("/")
	
	Dim dg, Heading
	
	Dim Conn
	  Set Conn = Server.CreateObject("ADODB.Connection")
 	  Conn.Open(Application("ConnectionString"))
	  
	 If IsDate(Request.QueryString("dailyActivity")) Then
	 	Set dg = GetDailyActivityDataGrid(Conn,Request.QueryString("dailyActivity"))
		Heading = "Stats for the Day of " & Request.QueryString("dailyActivity")
	 ElseIf Len(Request.QueryString("visitorActivity"))>0 And IsDate(Request.QueryString("date")) Then
	 	Set dg = GetVisitorActivity(Conn,Request.QueryString("date"),Request.QueryString("visitorActivity"))
		Heading = "Big Brother Mode: '" & Request.QueryString("visitorActivity") & "' On  " &  Request.QueryString("date")
	 Else
	   Set dg =  GetStatsDataGrid(Conn)
	   Heading = "Daily Stats"
	 End If
%>

<h1>Administration &gt; <%=Heading%></h1>

<div id="mainContent">
<%dg.Display()%>
</div>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
<% Conn.Close %>