<% option explicit %>
<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="navigation.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/helperFunctions.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/gameValidator.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/CheckHeader.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/ClientMessages.vbs"></script><%
CheckHeader "CoAuthors.aspx"

Dim Action : Action = LCase(Request.Form("pbAction"))
Dim Value : Value = Request.Form("pbValue")
Dim GameID : If Len(Request.Form("GameID")) _
	Then GameID = CLng(Request.Form("GameID")) _
	Else GameID = CLng(Request.QueryString())
Dim Conn
	Set Conn = Server.CreateObject("ADODB.Connection")
	Conn.Open Application("ConnectionString")

	
ValidateGameWithConn GameID, Conn

Select Case Action
	Case "nav" : Navigate Value,GameID
	Case "remove" : RemoveCoauthor GameId, Value
End Select		

If Not IsEmpty(Request.Form("add")) Then AddCoauthor

Sub RemoveCoauthor(GameId, Username)
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = "UPDATE [Game Coauthors] SET [Active Indicator]='N' WHERE [Game Id]=? AND [Username]=?"
		.Parameters.Append .CreateParameter("GameID", adInteger, adParamInput, 8, GameID)
		.Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 20, Username)
		.Execute
	End With
End Sub

Sub AddCoauthor
	Dim Username

	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = _
			"SELECT U.[Username], " & _
			"       [Is Author] = CASE WHEN U.[Username] = G.[Username] THEN 1 ELSE 0 END ," & _
			"       [Coauthor Count] = (SELECT COUNT(*) FROM [Game Coauthors] WHERE [Game Id] = G.[Game Id] AND [Active Indicator]='Y') " &_
			"  FROM [Users] U " & _
			"       CROSS JOIN [Games] G " & _
			" WHERE G.[Game Id]=? AND U.[Username]=? "
		.Parameters.Append .CreateParameter("GameID", adInteger, adParamInput, 8, GameID)
		.Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 20, Request.Form("Username"))
		With .Execute
			If .EOF Then
				Alert Request.Form("Username") & " is not a member."
				Exit Sub
			End If
			If .Fields("Is Author").Value Then
				Alert "The author cannot also be a coauthor."
				Exit Sub
			End If
			If .Fields("Coauthor Count").Value > 3 Then
				Alert "You may only have up to four coauthors."
				Exit Sub
			End If
			Username = .Fields("Username")
		End With
	End With
	
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = "DELETE [Game Coauthors] WHERE [Game Id]=? AND [Username]=?"
		.Parameters.Append .CreateParameter("GameID", adInteger, adParamInput, 8, GameID)
		.Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 20, Username)
		.Execute
	End With

	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = "INSERT INTO [Game Coauthors] ([Game Id], [Username]) VALUES(?,?)"
		.Parameters.Append .CreateParameter("GameID", adInteger, adParamInput, 8, GameID)
		.Parameters.Append .CreateParameter("Title", adVarChar, adParamInput, 20, Username)
		.Execute
	End With

    Dim gameTitle
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = "SELECT [Title] FROM [Games] WHERE [Game Id]=?"
		.Parameters.Append .CreateParameter("GameID", adInteger, adParamInput, 8, GameID)
		With .Execute
			gameTitle = .Fields("Title")
		End With
	End With

	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandType = adCmdStoredProc
		.CommandText = "[ChooseYourStory].[dbo].[User_Notifications_SendNotification]"
		.Parameters.Append .CreateParameter("@User_Username", adVarChar, adParamInput, 30, Username)
		.Parameters.Append .CreateParameter("@NotificationType_Cd", adVarChar, adParamInput, 8, "COAUTH")
		.Parameters.Append .CreateParameter("@Display_Text", adVarChar, adParamInput, 25, Null)
		.Parameters.Append .CreateParameter("@MoreInfo_Text", adVarChar, adParamInput, 250, gameTitle)
		.Parameters.Append .CreateParameter("@MoreInfo_Url", adVarChar, adParamInput, 250, "/my/adveditor/default.aspx?" & GameId)
		.Execute
	End With

	
	Alert Username & " is now a coauthor."
	
End Sub


%>
		<div id="mainContent"><form name="mainForm" method="post">
		<h1>Advanced Editor &gt; Properties</h1>		
		
<% WriteSecondaryNavigation %>		
		
		
		<p>You may select up to four co-authors to help you work on your game. Note that the co-authors
		you select will have access to edit your game in its entirity. They cannot, however, publish, delete,
		unpublish, or assign other co-authors. Read the <a href="/help/articles/article.aspx?ArticleId=50">Co-Author Primer</a> for more information.</p>
		<h2 style="margin-top:10px;margin-bottom:0px;">Current Co-authors</h2>
		<p style="margin-top:0px; "><%
		With Server.CreateObject("ADODB.Command")
			.ActiveConnection = Conn
			.CommandText = _
				"SELECT [Username] " & _
				"  FROM [Game Coauthors] " & _
				" WHERE [Game Id] = ? " & _
				"   AND [Active Indicator] = 'Y'"
			.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,8,GameID)
			With .Execute
				If .EOF Then
					Response.Write "You have not selected any co-authors."
				End If
				Do While Not .EOF
					Response.Write "&nbsp;&bull;&nbsp;"
					Response.Write .Fields("Username").Value
					Response.Write "&nbsp;<a href=""#"" onclick=""PostBack('remove','" & Replace(.Fields("Username").Value,"'","\'") & "');"">[remove]</a>"
					Response.Write "<br/>"
					.MoveNext
				Loop
			End With
		End With
		%></p>
		<p>
			<input type="text" maxlength="20" width="15" name="Username"/>&nbsp;<input type="submit" name="add" value="Add Co-author">
		</p>		
		<p style="margin-top:25px; ">
		  <input type="button" value="Return to Game Properties"  onClick="PostBack('nav','properties');">
		  <input type="hidden" name="pbAction" value="">
		  <input type="hidden" name="pbValue" value="">
		  <input type="hidden" name="GameID" value="<%=GameID%>">
		 </p>
		</form>
		</div>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
<% Conn.Close %>