<% Option Explicit %>
<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="tertiaryNavigation.vbs"></script>
<script runat="server" language="vbscript" src="../../includes/ClientMessages.vbs"></script>
<script runat="server" language="vbscript" src="../../includes/CheckHeader.vbs"></script>
<script runat="server" language="vbscript" src="../../includes/sessionValidator.vbs"></script><%
CheckHeader "default.aspx"
ValidateSession

If Not IsEmpty(Request.Form("continue")) Then Continue

Sub Continue
	Dim Username: Username = Trim(Request.Form("Username"))
	
	If Request.Form("Username")="" Then 
		Alert "Whoops! Username is a required field"
		Exit Sub
	End If
	
	If Request.Form("Username") = Session("Username") Then
		Alert "You can't duel yourself! Think about it ... that's just silly"
		Exit Sub
	End If
	
	Dim redir
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = _
			"SELECT [Duel Indicator] " & _
			"  FROM [Users] " & _
			" WHERE [Username] = ? "
		.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Username )
		With .Execute
			If .EOF Then
				Alert "It looks like """ &  Username & """ is not a member of the site ... "
			ElseIf .Fields("Duel Indicator") = "N" Then
				Alert Username & " is not accepting duels at this time."
			Else
				redir = True
			End If
		End With
	End With
	
	If redir Then Response.Redirect "selectDuel.aspx?username=" & Server.URLEncode(Username)

End Sub

%>

<form method="post"><div id="maincontent">
<h1 style="margin-bottom:10px;"><a href="../">My Stuff</a> &gt; Duels</h1>
<%WriteTertiaryNavigation%>
<p>
Duels present an opportunity to win -- or lose -- points directly from other members. It's real easy to do: select a member, choose your duel, wager your points, and hit the <em>duel</em> button. From there, your opponent can either accept or decline your challenge.
If you'd like more information, make sure to read <a href="/help/articles/article.aspx?ArticleId=4" target="_blank">this article about duels</a>.

</p>
<p>First things first, enter the username of a member to challenge. </p>
<table border="0" cellspacing="10" cellpadding="0">
  <tr>
    <td><label>Username</label></td>
    <td><input type="text" name="Username" maxlength="20" size="20" /></td>
    <td><input type="submit" name="continue" value="Continue ..." /></td>
  </tr>
</table>
<p>Don't know anyone to duel yet? Enter the name <span class="secNavBarSelectedLink">cysid</span> in the box. He's the site's mascott and is always up for a challenge. That, and we programmed him to automaticaly respond to your challenge.</p>
</div></form>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>