<% Option Explicit %>
<!-- #include file="../../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../../../Includes/sessionValidator.vbs"></script>
<script runat="server" language="vbscript" src="../../../Includes/ClientMessages.vbs"></script>
<script runat="server" language="vbscript" src="../duel.vbs"></script>
<%

ValidateSession

Dim DuelId
DuelId = Clng(Request.QueryString("DuelId"))

Dim Target
Target = Request.QueryString("target")
If Target="" Then Target = Request.Form("Target")
If Target="" Then Target = "."

Dim myDuel : Set myDuel = New Duel
If Not myDuel.Load(DuelId) Then Response.Redirect Target

Dim ResultText : ResultText = GetResultText(myDuel)
Function GetResultText(myDuel)
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandText = "ChooseYourStory.dbo.Duel_RpsGetResultText"
		.CommandType = adCmdStoredProc
		.Parameters.Append .CreateParameter("@Challenger_Choice_Name", adVarChar, adParamInput, 10, myDuel.ChallengerChoice)			
		.Parameters.Append .CreateParameter("@Challengee_Choice_Name", adVarChar, adParamInput, 10, myDuel.ChallengeeChoice)
		.Parameters.Append .CreateParameter("@Winner_Name", adVarChar, adParamOutput, 10)
		.Parameters.Append .CreateParameter("@Winning_Text", adVarChar, adParamOutput, 35)
		.Execute	
		GetResultText = .Parameters("@Winning_Text").Value
	End With		
End Function

Dim Winner, Loser, WinnerChoice, LoserChoice
If myDuel.Winner="Challenger" Then
	Winner = myDuel.ChallengerUsername : Loser = myDuel.ChallengeeUsername
	WinnerChoice = myDuel.ChallengerChoice : LoserChoice = myDuel.ChallengeeChoice
ElseIf myDuel.Winner="Challengee" Then
	Winner = myDuel.ChallengeeUsername : Loser = myDuel.ChallengerUsername
	WinnerChoice = myDuel.ChallengeeChoice : LoserChoice = myDuel.ChallengerChoice
End If


Function Cardnalize(num)
	Cardnalize = num
	Select Case CStr(Right(num,1))
		Case "1" : Cardnalize = Cardnalize & "st"
		Case "2" : Cardnalize = Cardnalize & "nd"
		Case "3" : Cardnalize = Cardnalize & "rd"		
		Case Else : Cardnalize = Cardnalize & "th"		
	End Select
End Function

Dim PointsAre, PointsWere
If myDuel.Wager > 1 Then PointsAre = myDuel.Wager & " points are" Else PointsAre = myDuel.Wager & " point is"
If myDuel.Wager > 1 Then PointsWere = myDuel.Wager & " points were" Else PointsWere = myDuel.Wager & " point was"

Dim Towne : Towne = Array( _
	"REDTOL, Arcandia", _
	"GREENDON, Kylia", _
	"KING'S LOAMSHAM, Cyderia", _
	"BISHOP'S ICELAW, Ilgaia", _
	"OLD BRASEBERG, Xandia", _
	"DARKWARREN, Salvorda", _
	"MT TIMBERVALE, Orgalia")(WeekDay(myDuel.DuelDate)-1)	
%>
<div style="margin-left:80px; background-color: #FFFFFF; width: 500px;  border:solid 1px #000000; padding:10px;">
	<div style="text-align:center; font-family:Times New Roman; font-weight: normal; font-size:22px; border-bottom: solid 1px #000; border-top: solid 1px #000; margin: 15px 20px 10px 20px;">
	The ChooseYourStory.com News-Sentinel
	</div>
	<div style="text-align:left; font-family:Times New Roman; font-weight: bold; font-size:20px;">
<% 
	If myDuel.Status = "Open" Then
	
		Response.Write UCase(myDuel.ChallengeeUsername) & " CHALLENGED TO RPS"
		
	ElseIf myDuel.Status="Declined" Then
	
		Response.Write UCase(myDuel.ChallengeeUsername) & " DECLINES A DUEL CHALLENGE"
		
	ElseIf myDuel.Status="Complete" Then
	
		If myDuel.Winner="Draw" Then
			Response.Write UCase(myDuel.ChallengerUsername) & ", " & UCase(myDuel.ChallengeeUsername) & " DRAW IN RPS DUEL"

		ElseIf myDuel.Winner="Challenger" Then
			Response.Write UCase(myDuel.ChallengerUsername) & ": " & UCase(ResultText) & "!"

		ElseIf myDuel.Winner="Challengee" Then
			Response.Write UCase(myDuel.ChallengeeUsername) & ": " & UCase(ResultText) & "!"

		End If
	 End If
%>	
	</div>
	<div style="font-size:10px;margin-left:5px; font-family: Verdana;">
		<em>by C.Sid, last updated <%=myDuel.DuelDate %></em>
	</div>
	<div style="margin-top:5px;margin-left:5px; font-size:14px; font-family: Verdana; line-height:20px; text-align:justify">
	 
<% If myDuel.Status = "Open" Then %>
	 <p>&nbsp; <%=Towne %> -- The details are a bit fuzzy right now, but from what we can tell, it looks like 
	 <em><%=myDuel.ChallengerUsername %></em> has challenged fellow ChooseYourStory.com member,
	 <em><%=myDuel.ChallengeeUsername %></em> to a duel of RPS. If the challenge is accepted,
	 a whole <%=PointsAre %> at stake. 	 This comes as a complete  shock
	 to most ChooseYourStory.com, as a duel of this caliber between these two members is 
	 unprecedented. 
	 </p>
	 
	 <p style="margin-top:13px">
	 "Wait, are you serious?!?" commented member <em>thatguy</em> as he took a break
	 from basking in the shadows, "that was totally unexpected."
	 </p>
	 
	 <p style="margin-top:13px">
	 There's been no word from <em><%=myDuel.ChallengeeUsername %></em> as far as whether the
	 duel will be accepted or not. Stay tuned to The News-Sentinel for breaking updates on this story.
	 </p>
	 
<% ElseIf myDuel.Status = "Declined" Then %>
	 <p>&nbsp; <%=Towne %> -- Earlier, we reported that <em><%=myDuel.ChallengerUsername %></em> 
	 challenged fellow ChooseYourStory.com member,<em><%=myDuel.ChallengeeUsername %></em> to a 
	 duel of RPS. This shook the entire community; a whole <%=PointsWere%> at stake.
	 </p>
	 
	 <p style="margin-top:13px">
	 As expected, however, <em><%=myDuel.ChallengeeUsername %></em> humbly declined the challenge,
	 saying, "there are much better ways to resolve this than through dueling."
	 </p>
	 
	 <p style="margin-top:13px">
	 The duel was officially called off and both members shook hands and went their separate ways.
	 </p>	 

<% ElseIf myDuel.Status = "Complete" Then %>

		<%If myDuel.Winner="Draw" Then %>

			 <p>&nbsp; <%=Towne %> -- It was slated to be the Challenge of the Century. But this duel between the
			 two titans, <em><%=myDuel.ChallengerUsername%></em> and <em><%=myDuel.ChallengeeUsername%></em>, came to an
			 expected draw when both members chose <%=myDuel.ChallengerChoice %>. Although <%=PointsWere %> at stake,
			 none have been claimed by the other.
			 </p>
			 
			 <table border="0" cellpadding="2" cellspacing="5" align="center" style="margin-top:10px;">
				<tr>
					<td colspan="3" align="center"><strong>"<%=ResultText %>"</strong></td>			 
				</tr>
				<tr>
					<td align="center"><img src="rps\images\<%=myDuel.ChallengerChoice %>.gif" alt="<%=myDuel.ChallengerChoice %>" width="72" height="72" /></td>
					<td width="80" align="center">vs.</td>
					<td align="center"><img src="rps\images\<%=myDuel.ChallengeeChoice %>.gif" alt="<%=myDuel.ChallengeeChoice %>" width="72" height="72" /></td>
				</tr>
				<tr>
					<td align="center"><%=myDuel.ChallengerChoice %></td>
					<td></td>
					<td align="center"><%=myDuel.ChallengeeChoice %></td>
				</tr>
			 </table>

		<%ElseIf myDuel.Winner="Challenger" Or myDuel.Winner="Challengee" Then %>

			 <p>&nbsp; <%=Towne %> -- <em><%=Winner %>'s</em> supports are ecstatic: despite being the
			 <%=LCase(myDuel.Winner)%>, <em><%=Winner %></em> came right out and beat <em><%=Loser %></em>. And to add
			 insult to injury, a whole <%=PointsAre %> now claimed by <em><%=Winner %></em>.
			 </p>
			 
			 <table border="0" cellpadding="2" cellspacing="5" align="center" style="margin-top:10px;">
				<tr>
					<td colspan="3" align="center"><strong>"<%=ResultText %>"</strong></td>			 
				</tr>
				<tr>
					<td align="center"><img src="rps\images\<%=myDuel.ChallengerChoice %>.gif" alt="<%=myDuel.ChallengerChoice %>" width="72" height="72" /></td>
					<td width="80" align="center">vs.</td>
					<td align="center"><img src="rps\images\<%=myDuel.ChallengeeChoice %>.gif" alt="<%=myDuel.ChallengeeChoice %>" width="72" height="72" /></td>
				</tr>
				<tr>
					<td align="center"><%=myDuel.ChallengerChoice %></td>
					<td></td>
					<td align="center"><%=myDuel.ChallengeeChoice %></td>
				</tr>
			 </table>
			 
			 <p>
			 The whole episode ended as quickly as it started: shortly after <em><%=myDuel.ChallengerUsername%></em> 
			 challenged <em><%=myDuel.ChallengeeUsername%></em> to a duel of RPS, the duelers made their choices.
			 On the count of three, <em><%=Winner %></em> displayed a <%=WinnerChoice %> while <em><%=Loser %></em> 
			 threw a <%=LoserChoice %>. It was apparent  that the <%=LCase(myDuel.Winner)%> was the winner: everyone knows that 
			 <em><%=ResultText %></em>.
			 </p>
	 			 
	 <% End If %>
	 
<% End If %>	
	</div>
	
</div>

	<p style="margin-top:20px; text-align:center">
<%If myDuel.Status = "Open" And myDuel.ChallengeeUsername = Session("Username") Then  %>	
    &nbsp;&nbsp;
    <input type="button" onclick="location='rps/default.aspx?username=<%=Server.URLEncode(myDuel.ChallengerUsername) %>&DuelId=<%=myDuel.DuelId %>&mode=acceptChallenge'" value="Accept The Challenge"/>
    &nbsp;&nbsp;
    <input type="button" onclick="if (confirm('Are you sure you want to turn down the duel?')) location='decline.asp?<%=Request.QueryString()%>'" value="Decline The Challenge"/>    
<% Else %>
	  <input type="button" onClick="location=this.form.Target.value" value="&lt;&lt; Go Back"/>
	  <% If myDuel.ChallengerUsername = Session("Username") Then %>
	    &nbsp;&nbsp;
	    <input type="button" onclick="location='selectDuel.aspx?Username=<%=Server.URLEncode(myDuel.ChallengeeUsername)%>'" value="Challenge <%=myDuel.ChallengeeUsername%> To A Duel"/>	    
	  <% ElseIf myDuel.ChallengeeUsername = Session("Username") Then %>	
	    &nbsp;&nbsp;	  
	    <input type="button" onclick="location='selectDuel.aspx?Username=<%=Server.URLEncode(myDuel.ChallengerUsername)%>'" value="Challenge <%=myDuel.ChallengerUsername%> To A Duel"/>	    
	  <% Else %>
	    &nbsp;&nbsp;
	    <input type="button" onclick="location='selectDuel.aspx?Username=<%=Server.URLEncode(myDuel.ChallengeeUsername)%>'" value="Challenge <%=myDuel.ChallengeeUsername%> To A Duel"/>	    
	    &nbsp;&nbsp;	  
	    <input type="button" onclick="location='selectDuel.aspx?Username=<%=Server.URLEncode(myDuel.ChallengerUsername)%>'" value="Challenge <%=myDuel.ChallengerUsername%> To A Duel"/>	    
	  <% End If %>
<% End If %>	  
	</p>
	
<input type="hidden" name="Target" value="<%=Server.HTMLEncode(Target)%>">