<% Option Explicit %>
<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="jscript" src="../Includes/urlEncoding.js"></script>
<script runat="server" language="vbscript" src="../Includes/CheckHeader.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/SessionValidator.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/helperFunctions.vbs"></script>
<% ValidateSession
CheckHeader "Points.aspx"

Dim PointDate

Dim TotalPoints
With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Application("ConnectionString")
	.CommandText = "SELECT [Point Total] FROM [Users] WHERE [Username] = ?"
	.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Session("Username"))
	TotalPoints = .Execute.Fields(0).Value
End With

%>


<h1><a href="Default.aspx">My Stuff</a> &gt; Account &amp; Profile</h1>

<div id="mainContent">
<p></p>
<p>You have a total of <b><%=TotalPoints%> Experience Points</b>. Following is recent point activity.</p>
          <table border="0" cellpadding="5" cellspacing="0">
            <tr <%=bgcolor%>> 
			  <th align="left">Date</th>
			  <th align="left">Num. Points</th>
			  <th align="left">Why</th>
            </tr>
<% 

With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Application("ConnectionString")
	.CommandText = _
		"SELECT TOP 25 [Transaction Date], [Transaction Type], [Points], [Reference Type], [Reference], [Reference Text], [Notes]" & _
		"  FROM [Point Transactions - Expanded] " & _
		" WHERE [Username] = ? " & _
		"ORDER BY [Transaction Date] DESC"
	.Parameters.Append .CreateParameter("Username", adVarChar, adParamInput, 20, Session("Username") )
	With .Execute
		Do While Not .EOF
			Dim bgcolor : If IsEmpty(bgcolor) Then bgcolor = " class='back1Background' style='border: 1px solid'" Else bgcolor = Empty
%>
            <tr <%=bgcolor%>> 
              <td class="smallerText"><%=FormatDateTime(.Fields("Transaction Date"),2)%></td>
              <td align="center" class="smallerText"><%=.Fields("Points")%></td>
              <td class="smallerText"><%
			  	Response.Write .Fields("Transaction Type")
				If .Fields("Reference Type") = "Game" And Not IsNull(.Fields("Reference Text").Value) Then
					Response.Write " (<a href=""../game/?" & URLEncode(.Fields("Reference Text").Value) & """><em>" & .Fields("Reference Text") & "</em></a>)"
				ElseIf .Fields("Reference Type") = "Post" Then
					Response.Write " (<a href=""../forums/message.aspx?MessageId=" & .Fields("Reference") & """><em>" & .Fields("Reference Text") & "</em></a>)"
				ElseIf .Fields("Reference Type") = "Duel" Then
					Response.Write " (<a href=""duels/duel.aspx?DuelId=" & .Fields("Reference") & """><em>" & .Fields("Reference Text") & "</em></a>)"					
				End If
				If Not IsNull(.Fields("Notes")) Then Response.Write "<br/><em>" & .Fields("Notes") & "</em>"
			  %></td>
            </tr>
<%
			.MoveNext
		Loop
	End With
End With
%>			
           <tr> 
              <td colspan="3"><img src="../i/spacer.gif" width="100%" height="15" /></td>
            </tr>
          </table>

	  
</div>      <!-- InstanceEndEditable -->
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
<!-- InstanceEnd --></html>