<% option explicit  %>
<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../../Includes/gameValidator.vbs"></script>
<script runat="server" language="vbscript" src="../../Includes/CheckHeader.vbs"></script>
<%
CheckHeader "Unpublish.aspx"

ValidateGameForUnPublish Request.QueryString()

If Not IsEmpty(Request.Form("unpublish")) Then
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Application("ConnectionString")
		.CommandType = adCmdStoredProc
		.CommandText = "[Unpublish Game]"
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,Request.QueryString())
		.Execute
	End With
	Response.Redirect "../"
End If

Dim Title, SavedGameCount, RatingCount
With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Application("ConnectionString")
	.CommandText = _
		"SELECT [Title], " & _
		" [Saved Game Count] = (SELECT COUNT(*) FROM [Game Saves] WHERE [Game Id] = G.[Game Id]), " & _
		" [Rating Count] = COALESCE((SELECT [Rating Count] FROM [Game Ratings - Calculated]  WHERE [Game Id] = G.[Game Id]),0) " & _
		" FROM [Games] G WHERE [Game Id] = ? "
	.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,Request.QueryString())
	With .Execute
		Title = .Fields("Title").Value
		SavedGameCount = .Fields("Saved Game Count").Value
		RatingCount = .Fields("Rating Count").Value
	End With
End With

%>

<form method="post">
	  
  	  <div id="mainContent">
        <h1 style="margin-bottom:10px;"><a href="../">My Stuff</a> &gt; <a href="../games.aspx">Games</a> &gt; Unpublish Game</h1>
		<p>Are you sure you want to unpublish <em><%=Title%></em>? The following items will be deleted upon unpublish:</p>
		<p style="color:#990000; margin-left:10px;">
			<img src="/i/exclaim.gif" border="0"/>
			<%=SavedGameCount%> Saved Game<%If SavedGameCount<>1 Then Response.Write "s"%>
			<br/>
			<img src="/i/exclaim.gif" border="0"/>
			<%=RatingCount%> Rating<%If RatingCount<>1 Then Response.Write "s"%>
		</p>		
		<p>Once unpublished, although you will be allowed to edit and update your game, 
		    other players will be unabled to find the game on the listings page 
			until you republish it.</p>
  	  </div>

	  <div id="mainContent">
		<input type="button" onClick="location='../'" value="No, Nevermind"/>
		&nbsp;
		<input type="submit" name="unpublish" value="Yes, Unpublish"/>		
	  </div>
</form>	  
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>