/*
// Register the related commands.
FCKCommands.RegisterCommand(
  'MyPictures'
  ,new FCKDialogCommand(
    'My Pictures'
   ,'My Pictures'
   , FCKConfig.PluginsPath + 'MyPictures/gallery.asp'
   ,500, 400) 
  );

// Create the toolbar button.
var oFindItem = new FCKToolbarButton('MyPictures','My Pictures') ;
oFindItem.IconPath	= FCKPlugins.Items['MyPictures'].Path + 'img.png' ;
FCKToolbarItems.RegisterItem( 'MyPictures', oFindItem ) ;
*/
(function () {
    CKEDITOR.plugins.add('MyPictures', {
        requires: ['ajax'],
        init: function (editor) {
             //name, title, minWidth, minHeight, onContentLoad, userDefinition, 

            CKEDITOR.dialog.add('MyPicturesDialog', function (editor) {
                return {
                    title: 'My Pictures',
                    minWidth: 500,
                    minHeight: 400,
                    onOk: function () {
                        if (!window.cys_selectedMyPicture) return;

                        var dialog = this,
                            simg = window.cys_selectedMyPicture,
            				img = editor.document.createElement('img');

                        img.setAttributes({
                            src: simg.src,
                            alt: simg.alt,
                            align: 'right',
                            style: 'margin:5px;border:solid black 1px;'
                        });

                        editor.insertElement(img);
                    },
                    contents: [{
                        id: 'MyPicturesDialogContents',
                        label: 'My Pictures',
                        elements: [{
                            type: 'html',
                            html: 
                                'Select the image you\'d like to add to the page.<br/>'
                                + 'Once added, you can access more formatting options by clicking on the image with the <br/>'
                                + 'right mouse button. You can add images to this gallery by visiting the My Pictures tab.'
                        }, {
                            type: 'html',
                            html: CKEDITOR.ajax.load('/pictures/plugin-handler')
                        }]
                    }]
                };
            });

            editor.addCommand('MyPicturesCommand', new CKEDITOR.dialogCommand('MyPicturesDialog'));
            editor.ui.addButton('MyPictures', {
                label: 'My Pictures',
                icon: this.path + 'img.png',
                command: 'MyPicturesCommand'
            });
            // http://chooseyourstory.localhost/help/articles/editarticle.aspx?ArticleId=142
        }
    });
})();