<%Option Explicit
CheckHeader "Default.aspx"
%>
<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../Includes/userRoles.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/CheckHeader.vbs"></script>


<div id="maincontent">
<h1>Articles</h1>	
<p>Articles are relatively short texts written by members to help other members learn how this site works. Below
you'll find all articles on the site in no particular order. If you'd like to help out and write an article, 
just <a href="/help/articles/myArticles.aspx">follow this link</a>. </p>
<div style="margin-top:10px;"><%

With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Application("ConnectionString")
	.CommandText = _
		"SELECT [Article Id], [Status], [Username], [Title], [Abstract], [Category], [Difficulty] " & _
		"  FROM [Articles] "
	If IsInRole("Articles Administrator") Then 
        .CommandText = .CommandText & " WHERE [Status] = 'Accepted' OR [Status] = 'Submitted' "
    Else 
        .CommandText = .CommandText & " WHERE [Status] = 'Accepted' "
    End If
	.CommandText = .CommandText & _
		" ORDER BY [Status], [Category], [Title] "
	With .Execute
		Dim lastStatus
		Dim lastCategory
		Do While Not .EOF
		
			'[Status]
			If IsInRole("Articles Administrator") Then
				If .Fields("Status").Value <> lastStatus Then
					Response.Write "<h1 class='alternate'>" & .Fields("Status").Value & "</h1>"
				End If
				lastStatus = .Fields("Status").Value
			End If
			
			If .Fields("Status").Value = "Accepted" AND .Fields("Category").Value <> lastCategory Then
				Response.Write "<strong><h1>" & .Fields("Category").Value & "</h1></strong><br />"
			End If
			lastCategory = .Fields("Category").Value

			'[Article Title]
			Response.Write "<h3 style=""display:inline"">"
			If .Fields("Status").Value <> "Accepted" Then Response.Write "* "
			Response.Write  "</h3><h2 style=""display:inline""><a href=""/help/articles/article.aspx?ArticleId=" & .Fields("Article Id").Value & """>" & .Fields("Title").Value & "</a>" & "</h2><h3> [" & .Fields("Difficulty") & "]</h3>"
			
			'[by Username]
			Response.Write "&nbsp;<span class=""smallerText"">by " 
			Response.Write "<a href=""/member/?username=" & Server.UrlEncode(.Fields("Username").Value) & """>" & .Fields("Username").Value & "</a>"
			Response.Write "</span>"
			
			'[Edit / Accept]
			If IsInRole("Articles Administrator") Then
				Response.Write "&nbsp;<a href=""articles/editArticle.aspx?ArticleId=" & .Fields("Article Id").Value & """>[Edit / Accept]</a>"
			End If

    		'[Delete]
			If IsInRole("Articles Administrator") Then
				Response.Write "&nbsp;<a href='/help/deleteArticle.asp?id=" & .Fields("Article Id").Value & "' onclick='return confirm(""Are you sure?"")'>[Delete]</a>"
			End If

            '[Reject]
			If IsInRole("Articles Administrator") Then
				Response.Write "&nbsp;<a href='/help/rejectArticle.asp?id=" & .Fields("Article Id").Value & "' onclick='return confirm(""Are you sure?"")'>[Reject]</a>"
			End If

			'[Abstract]
			'Response.Write "<Br/>"
			'Response.Write  .Fields("Abstract").Value 
			Response.Write "<br/><br/>"
			
			
			.MoveNext
		Loop
	End With
End With

%></div>
	  </div>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>

