<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<%
	If IsEmpty(Request.QueryString("GameId")) Or IsEmpty(Request.QueryString("ItemId")) Then
		Response.Write "Invalid input parameters."
		Response.End()
	End If
	
	Dim GameID, ItemID, PageID
	GameID = CLng(Request.QueryString("GameId"))
	ItemID = CLng(Request.QueryString("ItemID"))
	If IsEmpty(Request.QueryString("PageID")) Then 
		PageId = Null
	Else
		PageID = CLng(Request.QueryString("PageID"))		
	End If

	
	Dim Conn : Set Conn = Server.CreateObject("ADODB.Connection")
     Conn.Open Application("ConnectionString")		

	
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Item Effect</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../../App_Themes/CYS/styles.css" rel="stylesheet" type="text/css">
<script>

var win = (window.dialogArguments)?(window.dialogArguments):(window.opener);
if (!win || !win.document || !win.document.mainForm || !win.document.mainForm.Destination ) 
{
	alert('Cannot edit destination.'); 
	close();
}	

function saveEffect()
{
	if (!win) return;
	var effectForm = document.effectForm;
	if (effectForm.PageId.selectedIndex==-1)
	{
		alert('You must selected a "Used On" page');
		return;
	}

	if (effectForm.Destination.selectedIndex==-1)
	{
		alert('You must selected a destination page');
		return;
	}

	win.document.mainForm.Destination.value = effectForm.Destination.options[effectForm.Destination.selectedIndex].value;
	win.PostBack('save_effect',effectForm.PageId.options[effectForm.PageId.selectedIndex].value);
	window.close();	
}
</script>
</head>
<body><form name="effectForm">
<div style="padding:15px;">
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td><h1>Item Effect </h1></td>
    </tr>
    <tr>
      <th>&nbsp;</th>
    </tr>
    <tr>
      <th><div align="left">When Used On Page ...</div></th>
    </tr>
    <tr>
      <td><select size="8" name="PageId">
<% 
With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Conn
	.CommandText = _
		"SELECT P.[Page ID], C.Title + ': ' + P.Title AS Title " & _
		"  FROM [Game Pages] P " & _
		"       INNER JOIN [Game Chapters] C " & _
		"               ON P.[Game Id] = C.[Game Id] " & _
		"              AND P.[Chapter Id] = C.[Chapter Id] " & _
		" WHERE P.[Game ID] = ? " & _
		"   AND (NOT EXISTS  " & _
		"           (SELECT * FROM [Game Item Effects] " & _
		"            WHERE [Game Id] = P.[Game Id] " & _
		"              AND [Item Id] = ?  " & _
		"              AND [Page Id] = P.[Page Id] ) " & _
		"       OR P.[Page Id] = ?) " & _
		" ORDER BY C.[Chapter Id], P.[Page Id] "

	.Parameters.Append .CreateParameter("GameId",adInteger,adParamInput,4,GameId)
	.Parameters.Append .CreateParameter("ItemId",adInteger,adParamInput,4,ItemId)
	.Parameters.Append .CreateParameter("PageId",adInteger,adParamInput,4,PageId)
	With .Execute
		Do While Not .EOF
	     Response.Write "<option"
		 If .Fields("Page ID") = PageId Then Response.Write " selected"
		 Response.Write " value=""" & .Fields("Page ID") & """>"
		 Response.Write Server.HTMLEncode(.Fields("Title"))
		 Response.Write "</option>"
	     .MoveNext
	   Loop
	 End With 
End With	 
	 %>	  
      </select></td>
    </tr>
    <tr>
      <th>&nbsp;</th>
    </tr>
    <tr>
      <th><div align="left">... go to page </div></th>
    </tr>
    <tr>
      <td><select size="8" name="Destination">
	  <option value="" selected>&lt;None, Cant Use Item Here&gt;</option>
<% 
With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Conn
	.CommandText = _
		"SELECT P.[Page ID], C.Title + ': ' + P.Title AS Title, " & _
		"       CASE WHEN E.[Item Id] IS NULL THEN '' ELSE ' selected' END AS Selected " & _
		"  FROM [Game Pages] P " & _
		"       INNER JOIN [Game Chapters] C " & _
		"               ON P.[Game Id] = C.[Game Id] " & _
		"              AND P.[Chapter Id] = C.[Chapter Id] " & _
		"       LEFT  JOIN [Game Item Effects] E " & _
		"               ON P.[Game Id] = E.[Game Id] " & _
		"              AND P.[Page Id] = E.[Destination] " & _		
		"              AND E.[Destination Type] = 'Page' " & _				
		"              AND E.[Item Id] = ? " & _
		"              AND E.[Page Id] = ? " & _		
		" WHERE P.[Game ID] = ? " & _
		" ORDER BY C.[Chapter Id], P.[Page Id] "		
	.Parameters.Append .CreateParameter("ItemId",adInteger,adParamInput,4,ItemId)	
	.Parameters.Append .CreateParameter("PageId",adInteger,adParamInput,4,PageId)	
	.Parameters.Append .CreateParameter("GameId",adInteger,adParamInput,4,GameId)
	With .Execute
		Do While Not .EOF
	     Response.Write "<option " & .Fields("Selected")
		 Response.Write " value=""" & .Fields("Page ID") & """>"
		 Response.Write Server.HTMLEncode(.Fields("Title"))
		 Response.Write "</option>"
	     .MoveNext
	   Loop
	 End With 
End With	 
	 %>	  
      </select></td>
    </tr>
    <tr>
      <th>&nbsp;</th>
    </tr>
    <tr>
      <td><input type="button" value="Okay" onClick="saveEffect();">
	  &nbsp;&nbsp;
      <input type="button" value="Cancel" onClick="window.close();"></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
    </tr>
  </table>
  <p>&nbsp; </p>
</div>
</form>
</body>
</html>
<% Conn.Close %>