<%option explicit%>
<!-- #include file="../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../Includes/gameValidator.vbs"></script>
<script runat="server" language="vbscript" src="../Includes/CheckHeader.vbs"></script>
<%
CheckHeader "DeleteGame.aspx"

Dim GameID : If Len(Request.Form("GameID")) _
	Then GameID = Clng(Request.Form("GameID")) _
	Else GameID = Clng(Request.QueryString())

Dim Conn : Set Conn = Server.CreateObject("ADODB.Connection") : Conn.Open Application("ConnectionString")

ValidateGameWithConn GameID,Conn

If Not IsEmpty(Request.Form("delete")) Then
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = "[Delete Game]"
		.CommandType = adCmdStoredProc
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,GameID)
		.Execute
	End With
	Conn.Close
	Response.Redirect "default.aspx"
End If

Dim Title, PageCount
With Server.CreateObject("ADODB.Command")
	.ActiveConnection = Conn
	.CommandText = _
		"SELECT G.[Game Id], G.[Title], " & _
		"       [Page Count] = (SELECT COUNT(*) FROM [Game Pages] WHERE [Game ID] = G.[Game Id]) " & _
		"  FROM [Games] G " & _
		" WHERE [Game ID] = ?"
	.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,GameID)
	With .Execute
		If .EOF Then Response.Redirect "default.asp"
		Title = .Fields("Title")
		PageCount = .Fields("Page Count")
	End With
End With
		


%>


<div id="mainContent">
<h1><a href="./">My Stuff</a> &gt; <a href="games.aspx">Games</a> &gt; Delete Game</h1>

  <p>You are about to delete your game <em><%=Title%></em>. This game has <%=PageCount%> page<%If PageCount>1 Then Response.Write "s"%>! Are you sure you want to delete this game? 
	This can not be undone and there is no way to get back what was 
	deleted.</p>
  <form method="post">
	<p align="center"> 
	  <input type="hidden" name="GameId" value="<%=GameID%>">
	  <input onClick="return confirm('Are you absolutely sure?');" type="submit" name="delete" value="Yes, I want to delete this game">
	  &nbsp;&nbsp;
	  <input type="button" value="No, I'd rather not" onClick="location='default.aspx';">
	</p>
  </form>
</div>
<% Server.Execute(Application("SiteRoot") & "Includes/footer.asp") %>
<% Conn.Close %>